## Discord Plex FR : https://discord.gg/3gtABCH
## Version 2021-08-23
version: '3'
services:
  app:
    image: 'jc21/nginx-proxy-manager:latest'
    ports:
      - '80:80'  # Ne pas oublier le NAT de votre routeur
      - '81:81'  # WebUI Login 'admin@example.com' Password 'changeme'
      - '443:443' # Ne pas oublier le NAT de votre routeur
    volumes:
      - /volume1/docker/nginx-proxy-manager/config.json:/app/config/production.json
      - /volume1/docker/nginx-proxy-manager/data:/data
      - /volume1/docker/nginx-proxy-manager/letsencrypt:/etc/letsencrypt
    restart: unless-stopped
    
  db:
    image: 'yobasystems/alpine-mariadb'
    environment:
      MYSQL_ROOT_PASSWORD: 'npm'
      MYSQL_DATABASE: 'npm'
      MYSQL_USER: 'npm'
      MYSQL_PASSWORD: 'npm'
    volumes:
      - /volume1/docker/nginx-proxy-manager/data/mysql:/var/lib/mysql
    restart: unless-stopped
